# ChunkHandler Struct Reference

Handlers and description of chunk. More...

`#include <saveload.h>`

## Data Fields
uint32 | id
| Unique ID (4 letters).
ChunkSaveLoadProc * | save_proc
| Save procedure of the chunk.
ChunkSaveLoadProc * | load_proc
| Load procedure of the chunk.
ChunkSaveLoadProc * | ptrs_proc
| Manipulate pointers in the chunk.
ChunkSaveLoadProc * | load_check_proc
| Load procedure for game preview.
uint32 | flags
| Flags of the chunk.

## Detailed Description

Handlers and description of chunk.

Definition at line 67 of file saveload.h.

## Field Documentation

uint32 ChunkHandler::flags

Flags of the chunk.

See also:
  ChunkType

Definition at line 73 of file saveload.h.

Referenced by SlSaveChunk().

The documentation for this struct was generated from the following file:

- src/saveload/saveload.h